EPEL Armadillo 4.320.0 update broke gdal and PostGIS

Orion Poplawski orion at cora.nwra.com
Sat Aug 9 16:17:10 UTC 2014


On 08/08/2014 10:43 AM, Ryan Curtin wrote:
> On Fri, Aug 08, 2014 at 07:38:21PM +0300, Devrim Gündüz wrote:
>>
>> Hi,
>>
>> The latest armadillo update on EPEL broke gdal and PostGIS on PostgreSQL
>> RPM repository. I tried to rebuild gdal 1.9.2 with new armadillo, and
>> getting build errors. Any chance to revert this update?
>
> I was asked to push Armadillo 4.x for some group who was using it, and
> it should be reverse compatible, so I am confused about why you are
> getting problems.  The rebuild should not have any issue.  Could you
> post a link to the build log so I can decide what the best thing to do
> here is?
>
> Thanks,
>
> Ryan
>

Just to be explicit - armadillo in EPEL6 was updated from 
armadillo-3.800.2-1.el6 to armadillo-4.320.0-1.el6 which involves a 
soname bump and lots of changes:

http://upstream-tracker.org/versions/armadillo.html

The project uses major version bumps to indicate API/ABI incompatibility:

http://arma.sourceforge.net/faq.html

Except for exceptional circumstances this is forbidden in EPEL.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion at cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com


More information about the epel-devel mailing list